import {defineStore} from 'pinia'
import Taro from '@tarojs/taro'

export const useCounterStore = defineStore('counter', {
  state: () => {
    return {
      userInfo: {},
      selected: 0,
      list: Taro.getStorageSync('list') || [
        {
          pagePath: '/pages/projectManager/index/index',
          text: '首页',
          iconPath: "/assets/mine/punch.png",
          selectedIconPath: "/assets/mine/punch-active.png"
        },
        {
          pagePath: '/pages/employeeInfo/employeeInfo',
          text: '员工信息',
          iconPath: "/assets/mine/punch.png",
          selectedIconPath: "/assets/mine/punch-active.png"
        },
        {
          pagePath: '/pages/mine/mine',
          text: '我的',
          iconPath: "/assets/mine/my.png",
          selectedIconPath: "/assets/mine/my-active.png"
        },
      ]
    }
  },
  actions: {
    setSelected(index: number) {
      this.selected = index
    },
    updateHomePagePath(newPath: string) {
      this.list[0].pagePath = newPath
      // 更新 list 后存储到小程序本地存储
      Taro.setStorageSync('list', this.list)
    }
  },
  getters: {
    getSelected: (state) => state.selected,
    getList: (state) => state.list
  },
  persist: {
    // key: 'my-store',  // 存储到 localStorage 的 key
    // storage: localStorage,  // 持久化方式为 localStorage
    // paths: ['list']  // 持久化 list
  }
})

